"use strict";
exports.__esModule = true;
var parsePinyinWithNumbers_1 = require("./parsePinyinWithNumbers");
describe('parsePinyinWithNumbers', function () {
    test('empty text', function () {
        expect(parsePinyinWithNumbers_1.parsePinyinWithNumbers('')).toMatchSnapshot();
    });
    test('simple syllable', function () {
        expect(parsePinyinWithNumbers_1.parsePinyinWithNumbers('zhi1')).toMatchSnapshot();
    });
    test('simple syllable with erhua', function () {
        expect(parsePinyinWithNumbers_1.parsePinyinWithNumbers('huar5')).toMatchSnapshot();
    });
    test('no erhua with er', function () {
        expect(parsePinyinWithNumbers_1.parsePinyinWithNumbers('err2')).toMatchSnapshot();
    });
    test('initial only', function () {
        expect(parsePinyinWithNumbers_1.parsePinyinWithNumbers('zh')).toMatchSnapshot();
    });
    test('two syllables', function () {
        expect(parsePinyinWithNumbers_1.parsePinyinWithNumbers('e4e4')).toMatchSnapshot();
    });
    test('text only', function () {
        expect(parsePinyinWithNumbers_1.parsePinyinWithNumbers('aerzh1zi 555')).toMatchSnapshot();
    });
    test('text at the start', function () {
        expect(parsePinyinWithNumbers_1.parsePinyinWithNumbers('.zhi2')).toMatchSnapshot();
    });
    test('text at the end', function () {
        expect(parsePinyinWithNumbers_1.parsePinyinWithNumbers('zhi2.')).toMatchSnapshot();
    });
    test('mixed text and syllables', function () {
        expect(parsePinyinWithNumbers_1.parsePinyinWithNumbers('AA zhi4')).toMatchSnapshot();
    });
});
