export declare type Tone = 1 | 2 | 3 | 4 | 5;
export interface ToneColors {
    first: string;
    second: string;
    third: string;
    fourth: string;
    neutral: string;
}
export interface NonPinyinText {
    type: 'TEXT';
    text: string;
}
export interface PinyinSyllable {
    type: 'PINYIN_SYLLABLE';
    isCapitalized: boolean;
    initial: string;
    final: string;
    tone: Tone;
    erhua: boolean;
}
export interface PartialPinyinSyllable extends Partial<PinyinSyllable> {
    type: 'PINYIN_SYLLABLE';
}
export declare type PinyinStringSegment = NonPinyinText | PinyinSyllable;
export declare type PinyinStringSegmentWithPartialSyllables = NonPinyinText | PartialPinyinSyllable;
